import numpy as np
import matplotlib.pyplot as plt
from mpl_toolkits.mplot3d import Axes3D
from scipy.io import loadmat
from scipy.sparse.linalg import svds
from MDS import MDS

## Load data: 
data = loadmat("mnistSubset.mat")
X = data['X']
trueLabels = data['trueLabels'][:,0]

# grab the desired digits
X1 = X[:, trueLabels==1]
X2 = X[:, trueLabels==2]
Y = np.hstack((X1,X2))

# create distance matrix and embed using MDS

# embed using PCA
