import numpy as np

def MDS(Dmat, r):
    r"""
    Syntax:       Xest = MDS(Dmat, r)

    Inputs:
    -------
        Dmat is an (N x N) dissimilarity (distance) matrix, where N is the number of points 
       
        r is the dimension of the embedding space

    Outputs:
    -------
        Xest is the set of embedded points
    """
