import numpy as np

def mae_irls(A, b, x0, numIter):
    r"""
    Syntax:       xhat = mae_irls(A, b, x0, numIter)

    Inputs:
    -------
        A is an (m x n) matrix 
       
        b is a vector of length m

        x0 is the initial starting vector (of length n) to use
        
        numIter is the number of iterations to perform

    Outputs:
    -------
        xhat is a vector of length n containing the approximate solution
    """

