clear

% load data
load mnistSubset.mat

% only consider digits 1 and 2 (labels 2 and 3)
K = 2;
Xtrain = [];
ytrain = [];
Xtest = [];
ytest = [];
for kk = 1:K
    Xk = X(:,trueLabels==kk+1);
    Xtrain = [Xtrain Xk(:,1:100)];
    Xtest = [Xtest Xk(:,101:end)];
    ytrain = [ytrain; kk*ones(100,1)];
    ytest = [ytest; kk*ones(100,1)];
end

% make labels +1/-1
ytrain = (2*(ytrain - 1) - 1);
ytest = (2*(ytest - 1) - 1);

% ridge regression parameter
lam = 1e-3;

%% YOUR CODE
% train LS classifier on Xtrain/ytrain
% report both training and test error

% reduce dimension of data using PCA and plot

% classify dimension-reduced data using least squares

%% plot LS separator with data
%xx = linspace(0,15,100);
%yy = -w(1)*xx/w(2);
%plot(xx,yy)
%legend('digit 0', 'digit 1', 'LS separator')
